PDA

View Full Version : [ubuntu] Can`t install the ATI drivers?



dany74q
April 25th, 2009, 11:11 AM
Hello everyone,I just upgraded my "old" ubuntu to 9.04 Jaunty.
I tried several times now to install any driver for my 3870X2,
for now-with no luck.
The ubuntu drivers/official ATI driver/RadeonHD drivers,all fail.
After I install one of them I`m getting to a "garbage" screen,I can`t log in,or do any other actions,my screen is stuck at the login screen I guess and,with the same picture-weird shapes and and ubuntu sign at the right corner.
Of cures I Reinstalled xorg-driver-fglrx from recovery mode,though I really want supportive drivers for my 3870X2,I can`t play any game beyond 12FPS and Gpu accelerators won`t work.
Even the Visual effects don`t work for me.
Any suggestions?
Thanks you very much,
Dany.

Euphorion
April 25th, 2009, 11:21 AM
Hallo

Jaunty uses a new ATI flrgx driver which does not support all ATI cards especially older ones. This is becoming an increasing issue. Please follow the following link within this Ubuntu Forum. It contains a lot of information and a link to ATI where you can check to see if your card is supported with the ATI Driver Version 9.4

http://ubuntuforums.org/showthread.php?t=1133844&page=2

Should your card be no longer supported then there only remains the following possibilities, to downgrade to Intrepid (or Hardy) or use open source drivers.

dany74q
April 25th, 2009, 11:37 AM
Thanks for the quick reply,though I think that my card is not that old.
MY card in the 3XXX series was out maybe in 2008.
I understand there`s no full support,well,if someone have something new,I would aprreciate it.